import * as vue from 'vue';

interface Props {
}

declare const sMessageBox: vue.DefineComponent<{
    width: {
        type: NumberConstructor;
        default: number;
    };
    height: {
        type: NumberConstructor;
        default: number;
    };
    title: {
        type: StringConstructor;
        default: string;
    };
    borderColor: {
        type: StringConstructor;
        default: string;
    };
    borderBottom: {
        type: BooleanConstructor;
        default: boolean;
    };
    titleFontSize: {
        type: NumberConstructor;
        default: number;
    };
    titleColor: {
        type: StringConstructor;
        default: string;
    };
    titleLineHeight: {
        type: NumberConstructor;
        default: number;
    };
    message: {
        type: StringConstructor;
        default: string;
    };
    messageFontSize: {
        type: NumberConstructor;
        default: number;
    };
    messageColor: {
        type: StringConstructor;
        default: string;
    };
    borderRadius: {
        type: NumberConstructor;
        default: number;
    };
    shadow: {
        type: BooleanConstructor;
        default: boolean;
    };
    background: {
        type: StringConstructor;
        default: string;
    };
    show: {
        type: BooleanConstructor;
        default: boolean;
    };
    close: {
        type: FunctionConstructor;
        default: () => void;
    };
    cancelText: {
        type: StringConstructor;
        default: string;
    };
    cancelColor: {
        type: StringConstructor;
        default: string;
    };
    cancelBackgroundColor: {
        type: StringConstructor;
        default: string;
    };
    cancelFontSize: {
        type: NumberConstructor;
        default: number;
    };
    buttonLineHeight: {
        type: NumberConstructor;
        default: number;
    };
    buttonWidth: {
        type: NumberConstructor;
        default: number;
    };
    buttonRadius: {
        type: NumberConstructor;
        default: number;
    };
    cancelBorderColor: {
        type: StringConstructor;
        default: string;
    };
    confirmText: {
        type: StringConstructor;
        default: string;
    };
    confirmColor: {
        type: StringConstructor;
        default: string;
    };
    confirmBackgroundColor: {
        type: StringConstructor;
        default: string;
    };
    confirmFontSize: {
        type: NumberConstructor;
        default: number;
    };
    confirmBorderColor: {
        type: StringConstructor;
        default: string;
    };
    buttonPosition: {
        type: StringConstructor;
        default: string;
    };
    confirm: {
        type: FunctionConstructor;
        default: () => void;
    };
    titleCenter: {
        type: BooleanConstructor;
        default: boolean;
    };
    messageCenter: {
        type: BooleanConstructor;
        default: boolean;
    };
    cancel: {
        type: FunctionConstructor;
        default: () => void;
    };
}, () => vue.VNode<vue.RendererNode, vue.RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, vue.ComponentOptionsMixin, vue.ComponentOptionsMixin, Record<string, any>, string, vue.VNodeProps & vue.AllowedComponentProps & vue.ComponentCustomProps, Readonly<vue.ExtractPropTypes<{
    width: {
        type: NumberConstructor;
        default: number;
    };
    height: {
        type: NumberConstructor;
        default: number;
    };
    title: {
        type: StringConstructor;
        default: string;
    };
    borderColor: {
        type: StringConstructor;
        default: string;
    };
    borderBottom: {
        type: BooleanConstructor;
        default: boolean;
    };
    titleFontSize: {
        type: NumberConstructor;
        default: number;
    };
    titleColor: {
        type: StringConstructor;
        default: string;
    };
    titleLineHeight: {
        type: NumberConstructor;
        default: number;
    };
    message: {
        type: StringConstructor;
        default: string;
    };
    messageFontSize: {
        type: NumberConstructor;
        default: number;
    };
    messageColor: {
        type: StringConstructor;
        default: string;
    };
    borderRadius: {
        type: NumberConstructor;
        default: number;
    };
    shadow: {
        type: BooleanConstructor;
        default: boolean;
    };
    background: {
        type: StringConstructor;
        default: string;
    };
    show: {
        type: BooleanConstructor;
        default: boolean;
    };
    close: {
        type: FunctionConstructor;
        default: () => void;
    };
    cancelText: {
        type: StringConstructor;
        default: string;
    };
    cancelColor: {
        type: StringConstructor;
        default: string;
    };
    cancelBackgroundColor: {
        type: StringConstructor;
        default: string;
    };
    cancelFontSize: {
        type: NumberConstructor;
        default: number;
    };
    buttonLineHeight: {
        type: NumberConstructor;
        default: number;
    };
    buttonWidth: {
        type: NumberConstructor;
        default: number;
    };
    buttonRadius: {
        type: NumberConstructor;
        default: number;
    };
    cancelBorderColor: {
        type: StringConstructor;
        default: string;
    };
    confirmText: {
        type: StringConstructor;
        default: string;
    };
    confirmColor: {
        type: StringConstructor;
        default: string;
    };
    confirmBackgroundColor: {
        type: StringConstructor;
        default: string;
    };
    confirmFontSize: {
        type: NumberConstructor;
        default: number;
    };
    confirmBorderColor: {
        type: StringConstructor;
        default: string;
    };
    buttonPosition: {
        type: StringConstructor;
        default: string;
    };
    confirm: {
        type: FunctionConstructor;
        default: () => void;
    };
    titleCenter: {
        type: BooleanConstructor;
        default: boolean;
    };
    messageCenter: {
        type: BooleanConstructor;
        default: boolean;
    };
    cancel: {
        type: FunctionConstructor;
        default: () => void;
    };
}>>, {
    title: string;
    width: number;
    height: number;
    borderColor: string;
    borderBottom: boolean;
    titleFontSize: number;
    titleColor: string;
    titleLineHeight: number;
    message: string;
    messageFontSize: number;
    messageColor: string;
    borderRadius: number;
    shadow: boolean;
    background: string;
    show: boolean;
    close: Function;
    cancelText: string;
    cancelColor: string;
    cancelBackgroundColor: string;
    cancelFontSize: number;
    buttonLineHeight: number;
    buttonWidth: number;
    buttonRadius: number;
    cancelBorderColor: string;
    confirmText: string;
    confirmColor: string;
    confirmBackgroundColor: string;
    confirmFontSize: number;
    confirmBorderColor: string;
    buttonPosition: string;
    confirm: Function;
    titleCenter: boolean;
    messageCenter: boolean;
    cancel: Function;
}>;

export { Props, sMessageBox };
